Final Cut Question

Discussion in 'Mac Apps and Mac App Store' started by Saintlycow, Mar 15, 2012.

  1. Saintlycow macrumors newbie

    Joined:
    Sep 29, 2011
    #1
    I've recently bought a new imac, and i was wondering if my old copy of final cut 5.1 would still work?
     

    Attached Files:

  2. simsaladimbamba

    Joined:
    Nov 28, 2010
    Location:
    located
    #2
    Final Cut Pro 5.1 will run, as it is a Universal Binary, but as far as I can remember, the installer is still PPC only, thus it won't start on Lion, for that Snow Leopard is needed (which can still be installed upon a 2011 iMac, that came with Lion).


    ____________________________________________________________

    Maybe have a look at Advanced Search to find some similar threads, as this question comes up every once in a while:
    [​IMG]
    ____________________________________________________________
     
  3. Saintlycow thread starter macrumors newbie

    Joined:
    Sep 29, 2011
  4. simsaladimbamba

    Joined:
    Nov 28, 2010
    Location:
    located
    #4
    What do you mean with that exactly?
    If the applications you use are Universal Binary*, then they will run in Lion, Intel applications too, but PPC applications can only be run in pre-Lion Mac OS X versions.

    [​IMG]
    [​IMG]
    [​IMG]
     
  5. Mac In School macrumors 65816

    Joined:
    Jun 21, 2007
    #5
    v7 is the only one I can speak to, and it installs and works fine. In fact, you can install 7 and X together.
     

Share This Page